<? session_start();
//RESTRICCIÓN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL) 
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}
if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');

		include ("fphp.php");
		$enlace=cargar_conexion();
		$cedula=$_REQUEST["cedula"];
		$numero=$_REQUEST["numero"];

		
		$consulta=mysqli_query($enlace,"select * from empresa where id='".$_SESSION['id_validar']."' ");
		if (mysqli_num_rows($consulta)!=0){
			$row=mysqli_fetch_array($consulta);
			$_POST['pie']=$row['pie'];
			$_POST['encabeza']=$row['encabeza'];
			$_POST['empresal']=$row['nombre'];
			$_POST['ciudad']=$row['ciudad'];
		}   
		$_POST['usuario']=$_SESSION['nombre_validar'];

		//====================== buscar registros	
		$consulta="select * from prestamo,personal where personal.id='".$_SESSION['id_validar']."' and prestamo.cedula='".$cedula."' and numero='".$numero."' and prestamo.cedula=personal.codigo";
		$resultado = mysqli_query($enlace,$consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
		$row = mysqli_fetch_array($resultado);
		$_POST['fecha']=$row['fecha'];
		$_POST['numero']=$row['numero'];
		
		require('fpdf.php');
		class PDF extends FPDF {
		function Header()
		{
	    	$this->Image($_SESSION['logo_validar'],10,10,30,30);
	    	$this->SetFont('arial','B',12);
			$this->Ln(2);
	    	$this->Cell(0,5,$_SESSION['empresa_validar'],0,1,'R'); 
			$this->SetFont('arial','',8);
			$this->Cell(0,5,$_POST['encabeza'],0,1,'R');
			$this->SetFont('arial','',10);
	    	$this->Cell(0,5,'Fecha: '.mostrar_fecha($_POST['fecha']),0,1,'R'); 
			$this->SetFont('arial','B',18); 
			$this->Ln(5);
			$this->Cell(0,5,'Prestamo Personal Nro. '.$_POST['numero'],0,1,'C');
			$this->SetFont('arial','',10);
			$this->ln(5);
		}
		function Footer()
			{
			$this->SetY(-20);
			$this->Cell(0,0,'',1,1,'C');
			$this->SetFont('Times','I',8);
			$this->ln(2);
			$this->Cell(0,0,$_POST['pie'],0,1,'C');
			}
		}
		$pdf=new PDF($orientacion='P',$unit='mm',$format='letter');
		$pdf->AddPage();
		$pdf->AliasNbPages();
		//$pdf->SetFillColor(224,235,255);
		$pdf->SetTextColor(0);
	
		$fecha1 = mostrar_fecha($row['fdesde']);
		$fecha2 = mostrar_fecha($row['fhasta']);
		$reintegro = mostrar_fecha($row['reintegro']);
		$fechai = mostrar_fecha($row['fechai']);

		$pdf->SetFont('Arial','B',14);
		$pdf->cell(0,10,'Información del Empleado:',0,1,'',0);

		$pdf->SetFont('Arial','',10);
		$pdf->cell(10,5,'Cédula de Identidad: '.$row['cedula'],0,1,'',0);
		$pdf->cell(10,5,'Nombres y Apellidos: '.trim($row['nombres']).' '.$row['nombres1'].", ".trim($row['apellidos'])." ".$row['apellidos1'],0,1,'',0);
		
		$pdf->ln(5);
		$pdf->SetFont('Arial','',9);
		$pdf->cell(40,5,'Monto Prestamo Bs',1,0,'C',0);
		$pdf->cell(40,5,'Interes Bs.',1,0,'C',0);
		$pdf->cell(40,5,'Total Prestamo Bs.',1,0,'C',0);
		$pdf->cell(40,5,'Nro Cuotas',1,0,'C',0);
		$pdf->cell(40,5,'Monto x Cuota Bs.',1,1,'C',0);
		
		$pdf->cell(40,5,number_format($row['monto'],2),1,0,'C',0);
		$pdf->cell(40,5,number_format($row['minteres'],2),1,0,'C',0);
		$pdf->cell(40,5,number_format($row['total'],2),1,0,'C',0);
		$pdf->cell(40,5,($row['cuota']==0?0:number_format($row['total']/$row['cuota'],0)),1,0,'C',0);
		$pdf->cell(40,5,number_format($row['cuota'],2),1,1,'C',0);
		
		$pdf->ln(5);
		$pdf->cell(0,5,'Motivo del Prestamo: '.$row['detalle'],0,1,'C',0);
		$pdf->ln(5);
		$pdf->cell(0,7,'Yo, '.trim($row['nombres']).' '.$row['nombres1'].", ".trim($row['apellidos'])." ".$row['apellidos1'].', cédula de identidad No. '.$row['cedula'].', ',0,1,'C',0);
		$pdf->cell(0,5,'Declaro haber recibido la cantidad arriba señalada a mi entera satisfacción en moneda efectiva y de curso legal, por el concepto del prestamo',0,1,'C',0);
		$pdf->cell(0,5,'personal, y que será devuelta en cuotas consecutivas pagaderas a partir del: '.mostrar_fecha($row['fecha']).' y a razón de Bs. '.number_format($row['cuota'],2)." x ".($row['cuota']==0?0:number_format($row['total']/$row['cuota'],0))." Cuotas.",0,1,'C',0);
		$pdf->ln(5);
		$pdf->cell(0,5,'NOTA: En caso de terminación de la relación de trabajo por voluntad propia o causas ajenas al trabajador, autorizo a esta empresa ',0,1,'C',0);
		$pdf->cell(0,5,'a efectuar el descuento del saldo deudor del prestamo personal de mi liquidación final.',0,1,'C',0);
		$pdf->ln(5);
		$pdf->cell(0,5,'En '.$_POST['ciudad'].' en fecha: '.hoy(),0,1,'C',0);
		
		$pdf->ln(25);
		
		$pdf->SetFont('Arial','B',10);
		$pdf->cell(0,5,'Firma/Cédula de Recibido: ',0,1,'C',0);
		$pdf->ln(15);
		$pdf->SetFont('Arial','',10);
		$pdf->cell(0,5,'---------------------------------------------------------',0,1,'C',0);
		$pdf->cell(0,5,trim($row['nombres']).' '.$row['nombres1'].", ".trim($row['apellidos'])." ".$row['apellidos1'],0,1,'C',0);
		$pdf->SetFont('Arial','',8);
		$pdf->cell(0,5,'Cédula: '.$row['cedula'],0,1,'C',0);
		$pdf->ln(30);
		
		$pdf->ln(2);
		$pdf->SetFont('Arial','',8);
		$pdf->cell(10,5,'RRHH/ficha personal',0,1,'',0);
		$pdf->Output();
		
		mysqli_close($enlace);
?>